
#ifndef CLASS052_HPP
#define CLASS052_HPP
#include "Class073.hpp"
class Medication_dispensement: public Patient_service
	{
	/*design in subject "Patient_services" */
	/*design assoc Pharm_treat_order with Pharm_treat_order <"fulfills (0,1)", "is_fulfilled_by (0,M)">
*/

	/*design comment 
:/%Description%/The fulfillment of a medication service order.
/%HL7Reference%/V2.2
*/
public:
private:
	int days_supply_quantity;
	/*design comment dispense_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00336
*/
	int dispense_datetime;
	/*design comment dispense_quantity 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00337
*/
	int dispense_quantity;
	/*design comment dispense_unit_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00338
*/
	int dispense_unit_type_code;
	int formulary_status_code;
	int lot_number;
	int medication_expiration_date;
	/*design comment medication_identifier 
:/%Description%/
/%HL7Seg%/OBX, OM1, OM1
/%HL7El%/00583, 00587, 00590
*/
	int medication_identifier;
	/*design comment medication_name 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00596
*/
	int medication_name;
	/*design comment pharmacist_identification_number 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00341
*/
	int pharmacist_identification_number;
	/*design comment prescription_number 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD, RXE
/%HL7El%/00325
*/
	int prescription_number;
	/*design comment rejection_reason_text 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00340
*/
	int rejection_reason_text;
	/*design comment substitution_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00342
/%HL7Table%/0167
*/
	int substitution_code;
	};

#endif
