
#ifndef CLASS055_HPP
#define CLASS055_HPP
class Observation
	{
	/*design in subject "Observations" */
	/*design assoc Observation_report with Observation_report <"is_reported_on (0,M)", "reports (1,M)">
*/
	/*design assoc Observation_service_type with Observation_service_type <"is_an_observation_of (1,1)", "is_observed_by (0,M)">
*/

	/*design comment 
:/%Description%/The information or record secured by an act or instance of viewing or noting a fact or occurrence for some health related purpose.
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment abbreviation_name 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00595
*/
	int abbreviation_name;
	/*design comment abnormal_result_indicators 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00577
*/
	int abnormal_result_indicators;
	int coding_method_name;
	/*design comment lower_limit_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00575
*/
	int lower_limit_amount;
	/*design comment observation_datetime 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBX, OBR
/%HL7El%/00582, 00241
*/
	int observation_datetime;
	/*design comment observation_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1
/%HL7El%/00591
*/
	int observation_description;
	/*design comment observation_end_datetime 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBR
/%HL7El%/00242
*/
	int observation_end_datetime;
	/*design comment observation_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00571
*/
	int observation_identifier;
	/*design comment observation_value_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00573
*/
	int observation_value_amount;
	/*design comment observation_value_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00570
/%HL7Table%/0125
*/
	int observation_value_type_code;
	/*design comment probability_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00577
*/
	int probability_amount;
	/*design comment producer_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00583
*/
	int producer_identifier;
	/*design comment responsible_observer_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00584
*/
	int responsible_observer_identifier;
	/*design comment result_status_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBX, OBR
/%HL7El%/00579, 00258
/%HL7Table%/0085, 0123
*/
	int result_status_code;
	/*design comment result_status_datetime 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/OBR
/%HL7El%/00255
*/
	int result_status_datetime;
	/*design comment upper_limit_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBX
/%HL7El%/00575
*/
	int upper_limit_amount;
	};

#endif
