
#ifndef CLASS065_HPP
#define CLASS065_HPP
class Patient
	{
	/*design in subject "Patients" */
	/*design assoc Alternate_patient_identifier with Alternate_patient_identifier <"is_identified_by (0,M)", "identifies (1,1)">
*/
	/*design assoc Healthcare_coverage with Healthcare_coverage <"has (0,M)", "is_for (1,1)">
*/
	/*design assoc Healthcare_practitioner with Healthcare_practitioner <"has_a_primary_provider (0,1)", "is_the_primary_provider_for (0,M)">
*/
	/*design assoc Person with Person <"is_a_role_of (1,1)", "takes_on_role_of (0,1)">
*/

	/*design comment 
:/%Description%/A person which recieves healthcare services.
*/
public:
private:
	/*design comment biologic_race_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/PID
/%HL7El%/00113
/%HL7Table%/0005
*/
	int biologic_race_code;
	/*design comment birth_order_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/PID
/%HL7El%/00128
*/
	int birth_order_code;
	/*design comment birthplace_name 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/PID
/%HL7El%/00126
*/
	int birthplace_name;
	int blood_rh_factor_amount;
	int blood_type_code;
	int country_code;
	int diet_restriction_description;
	/*design comment diet_type_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00168
/%HL7Table%/0114
*/
	int diet_type_code;
	/*design comment disability_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/PV1
/%HL7El%/00145
/%HL7Table%/0009
*/
	int disability_code;
	int disability_level_code;
	int disclosure_level_code;
	/*design comment duplicate_patient_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PD1
/%HL7El%/00762
*/
	int duplicate_patient_indicator;
	/*design comment enthic_group_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/PID
/%HL7El%/00125
/%HL7Table%/0189
*/
	int enthic_group_code;
	/*design comment erisa_race_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/PID
/%HL7El%/00113
/%HL7Table%/0005
*/
	int erisa_race_code;
	/*design comment living_will_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PD1
/%HL7El%/00759
*/
	int living_will_code;
	/*design comment marital_status_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/PID
/%HL7El%/00119
/%HL7Table%/0002
*/
	int marital_status_code;
	int military_status_code;
	/*design comment multiple_birth_indicator 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/PID
/%HL7El%/00127
/%HL7Table%/0136
*/
	int multiple_birth_indicator;
	/*design comment newborn_baby_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00737
*/
	int newborn_baby_indicator;
	/*design comment organ_donor_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PD1
/%HL7El%/00760
*/
	int organ_donor_code;
	int patient_danger_code;
	int preferred_pharmacy_identifier;
	/*design comment primary_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PID, PID, PID
/%HL7El%/00106, 00105, 00106
*/
	int primary_identifier;
	/*design comment religious_affiliation_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/PID
/%HL7El%/00120
/%HL7Table%/0006
*/
	int religious_affiliation_code;
	int smoker_indicator;
	int triage_classification_code;
	/*design comment very_important_person_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00146
/%HL7Table%/0099
*/
	int very_important_person_indicator;
	};

#endif
