
#ifndef CLASS068_HPP
#define CLASS068_HPP
class Patient_billing_account
	{
	/*design in subject "Patient_billing_accounts" */
	/*design assoc Guarantor_contract with Guarantor_contract <"has_payment_guaranteed_by (0,M)", "provides_payment_guaranteed_for (1,1)">
*/
	/*design assoc Order_service_item with Order_service_item <"has_charges_for (0,M)", "is_charged_to (0,1)">
*/
	/*design assoc Patient with Patient <"belongs_to (1,1)", "has (0,M)">
*/

	/*design comment 
:/%Description%/A financial account established for a patient to track the billable amount for services received by the patient and payment made for those services.
*/
public:
private:
	/*design comment account_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/MRG, PID, PID, PV1, BLG
/%HL7El%/00213, 00121, 00124, 00135, 00236
*/
	int account_identifier;
	/*design comment adjustment_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00731
/%HL7Table%/0218
*/
	int adjustment_code;
	/*design comment bad_debt_agency_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00161
/%HL7Table%/0021
*/
	int bad_debt_agency_identifier;
	/*design comment bad_debt_recovery_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00163
*/
	int bad_debt_recovery_amount;
	/*design comment bad_debt_transfer_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00162
*/
	int bad_debt_transfer_amount;
	/*design comment billing_media_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00733
*/
	int billing_media_code;
	int credit_rating_code;
	/*design comment current_balance_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00176
*/
	int current_balance_amount;
	/*design comment delete_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00165
*/
	int delete_date;
	/*design comment deleted_account_reason_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00164
/%HL7Table%/0111
*/
	int deleted_account_reason_code;
	/*design comment expected_insurance_plan_quanity 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00721
*/
	int expected_insurance_plan_quanity;
	/*design comment price_schedule_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/FT1
/%HL7El%/00370
/%HL7Table%/0024
*/
	int price_schedule_identifier;
	int prior_account_identifier;
	int purge_status_code;
	/*design comment purge_status_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00718
*/
	int purge_status_date;
	/*design comment retention_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00720
*/
	int retention_indicator;
	/*design comment signature_on_file_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00729
*/
	int signature_on_file_date;
	/*design comment special_program_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00719
/%HL7Table%/0214
*/
	int special_program_code;
	/*design comment status_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00171
/%HL7Table%/0117
*/
	int status_code;
	/*design comment total_adjustment_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00178
*/
	int total_adjustment_amount;
	/*design comment total_charge_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00177
*/
	int total_charge_amount;
	/*design comment total_payment_amount 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00179
*/
	int total_payment_amount;
	/*design comment transfer_to_bad_debt_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00160
*/
	int transfer_to_bad_debt_date;
	/*design comment transfer_to_bad_debt_reason_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00159
/%HL7Table%/0110
*/
	int transfer_to_bad_debt_reason_code;
	};

#endif
