
#ifndef CLASS086_HPP
#define CLASS086_HPP
#include "Class059.hpp"
class Pharm_treat_order: public Order
	{
	/*design in subject "Orders" */

	/*design comment 
:/%Description%/An authoritative direction or instruction concerning the dispensement of medication to a patient.
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment administratin_device_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00311
/%HL7Table%/0164
*/
	int administratin_device_code;
	/*design comment administration_method_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00312
/%HL7Table%/0165
*/
	int administration_method_code;
	/*design comment dispense_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXE
/%HL7El%/00323
*/
	int dispense_amount;
	int dosage_text;
	/*design comment earliest_dispense_date 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int earliest_dispense_date;
	/*design comment expiration_date 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int expiration_date;
	/*design comment give_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00317
*/
	int give_code;
	/*design comment give_dosage_form_code 
:/%Description%/
/%HL7Seg%/RXE, RXG
/%HL7El%/00321
*/
	int give_dosage_form_code;
	/*design comment give_per_time_unit_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00331
*/
	int give_per_time_unit_code;
	/*design comment give_rate_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00332
*/
	int give_rate_amount;
	/*design comment instruction_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO, RXE, RXO
/%HL7El%/00298, 00297
*/
	int instruction_description;
	/*design comment last_refilled_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXE
/%HL7El%/00328
*/
	int last_refilled_datetime;
	/*design comment max_give_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00319
*/
	int max_give_amount;
	/*design comment medication_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO
/%HL7El%/00292
*/
	int medication_identifier;
	int medication_name;
	/*design comment min_give_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00318
*/
	int min_give_amount;
	/*design comment needs_human_review_indicator 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXE, RXG, RXD, RXO
/%HL7El%/00307
*/
	int needs_human_review_indicator;
	int non_formulary_authorized_ind;
	/*design comment prescription_identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD, RXE
/%HL7El%/00325
*/
	int prescription_identifier;
	/*design comment quantity_timing_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OBR, RXG, ORC
/%HL7El%/00221
*/
	int quantity_timing_code;
	/*design comment refills_allowed_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXE, RXO
/%HL7El%/00304
*/
	int refills_allowed_amount;
	/*design comment refills_doses_dispense_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXE
/%HL7El%/00327
*/
	int refills_doses_dispense_amount;
	/*design comment refills_remaining_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD, RXE
/%HL7El%/00326
*/
	int refills_remaining_amount;
	int rejection_reason_code;
	/*design comment requested_dispense_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO
/%HL7El%/00302
*/
	int requested_dispense_amount;
	/*design comment requested_dispense_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO
/%HL7El%/00301
*/
	int requested_dispense_code;
	/*design comment requested_dosage_form_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO
/%HL7El%/00296
*/
	int requested_dosage_form_code;
	/*design comment requested_give_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO
/%HL7El%/00292
*/
	int requested_give_code;
	/*design comment requested_give_max_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO
/%HL7El%/00294
*/
	int requested_give_max_amount;
	/*design comment requested_give_min_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO
/%HL7El%/00293
*/
	int requested_give_min_amount;
	/*design comment requested_give_rate_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO
/%HL7El%/00308
*/
	int requested_give_rate_code;
	/*design comment route_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00309
/%HL7Table%/0162
*/
	int route_code;
	/*design comment site_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXR
/%HL7El%/00310
/%HL7Table%/0163
*/
	int site_code;
	/*design comment solution_infusion_rate_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00332
*/
	int solution_infusion_rate_amount;
	/*design comment solution_type_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO
/%HL7El%/00296
*/
	int solution_type_code;
	/*design comment substitution_allowed_indicator 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXO
/%HL7El%/00300
/%HL7Table%/0161
*/
	int substitution_allowed_indicator;
	/*design comment substitution_status_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXE
/%HL7El%/00322
/%HL7Table%/0167
*/
	int substitution_status_code;
	/*design comment total_daily_dose_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD, RXE
/%HL7El%/00329
*/
	int total_daily_dose_code;
	int unit_of_measure_code;
	int verification_required_indicator;
	};

#endif
