
#ifndef CLASS081_HPP
#define CLASS081_HPP
class Pharm_treat_disp_notice
	{
	/*design in subject "Pharmacy_treatment_dispenses" */
	/*design part Pharm_treat_disp_component class Pharm_treat_disp_component <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design part Pharm_treat_disp_route class Pharm_treat_disp_route <"has_parts (0,M)", "is_part_of (1,1)">
*/
	/*design assoc Pharm_treat_give_notice with Pharm_treat_give_notice <"is_referenced_on (0,M)", "references (1,1)">
*/

	/*design comment 
:/%Description%/Notification of a pharmacy treatment dispense.
/%HL7Reference%/V2.2
*/
public:
private:
	/*design comment dispense_counter_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00334
*/
	int dispense_counter_amount;
	/*design comment dispense_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00340
*/
	int dispense_description;
	/*design comment dispense_to_location_description 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXG, RXD, RXE, RXO
/%HL7El%/00299
*/
	int dispense_to_location_description;
	/*design comment dispensed_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00337
*/
	int dispensed_amount;
	/*design comment dispensed_datetime 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00336
*/
	int dispensed_datetime;
	/*design comment dosage_form_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00339
*/
	int dosage_form_code;
	/*design comment needs_human_review_indicator 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD, RXE, RXG, RXO
/%HL7El%/00307
*/
	int needs_human_review_indicator;
	/*design comment special_instruction_description 
:/%Description%/
/%HL7Seg%/RXG, RXE, RXD
/%HL7El%/00330
*/
	int special_instruction_description;
	/*design comment substitution_status_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD
/%HL7El%/00342
/%HL7Table%/0167
*/
	int substitution_status_code;
	/*design comment total_daily_dose_amount 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/RXD, RXE
/%HL7El%/00329
*/
	int total_daily_dose_amount;
	};

#endif
