
#ifndef CLASS070_HPP
#define CLASS070_HPP
class Patient_encounter
	{
	/*design in subject "Patient_encounters" */
	/*design assoc Appointment with Appointment <"is_scheduled_by (0,M)", "schedules (1,M)">
*/
	/*design assoc Patient with Patient <"involves (1,1)", "is_involved_in (1,M)">
*/
	/*design assoc Patient_problem with Patient_problem <"involves (0,M)", "is_involved_in (1,M)">
*/
	/*design assoc Preauthorization with Preauthorization <"is_authorized_by (0,1)", "authorizes (1,M)">
*/

	/*design comment 
:/%Description%/An interaction between a patient and a Healthcare participant for the purpose of providing patient services or assessing the health status of a patient.
*/
public:
private:
	/*design comment accomodation_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00182
/%HL7Table%/0129
*/
	int accomodation_code;
	int alternate_visit_identifiers;
	int complaint_text;
	int counseling_percentage_amount;
	/*design comment description 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00713
*/
	int description;
	int end_datetime;
	int expected_payment_source_code;
	/*design comment expected_visit_end_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00189
*/
	int expected_visit_end_date;
	/*design comment expected_visit_start_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00188
*/
	int expected_visit_start_date;
	/*design comment first_similar_illness_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00730
*/
	int first_similar_illness_date;
	int follow_up_type_code;
	/*design comment identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00149
*/
	int identifier;
	int non_medical_item_identifier;
	/*design comment patient_classification_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1, FT1, PV1
/%HL7El%/00148, 00148, 00132
/%HL7Table%/0018, 0018, 0004
*/
	int patient_classification_code;
	/*design comment patient_financial_class_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00150
/%HL7Table%/0064
*/
	int patient_financial_class_code;
	/*design comment previous_treatment_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00727
*/
	int previous_treatment_date;
	/*design comment price_schedule_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00151
/%HL7Table%/0032
*/
	int price_schedule_identifier;
	int purpose_code;
	int record_signing_datetime;
	int referral_indicator;
	int service_option_description;
	int service_type_code;
	int sevice_recognition_code;
	/*design comment sheduled_service_identifier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00140
/%HL7Table%/0069
*/
	int sheduled_service_identifier;
	/*design comment special_courtesies_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1
/%HL7El%/00153
/%HL7Table%/0046
*/
	int special_courtesies_indicator;
	int start_datetime;
	/*design comment status_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00725
/%HL7Table%/0216
*/
	int status_code;
	/*design comment transfer_reason_description 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00184
*/
	int transfer_reason_description;
	/*design comment urgency_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00726
/%HL7Table%/0217
*/
	int urgency_code;
	/*design comment visit_classification_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV2
/%HL7El%/00187
/%HL7Table%/0130
*/
	int visit_classification_code;
	};

#endif
