
#ifndef CLASS091_HPP
#define CLASS091_HPP
#include "Class073.hpp"
class Radiation_patient_service: public Patient_service
	{
	/*design in subject "Patient_services" */

	/*design comment 
:/%Description%/A patient service that includes the administration of radiation as a diagnostic or therapeutic aid.
/%HL7Reference%/V2.2
*/
public:
private:
	int administration_code;
	int beam_code;
	int cns_irradiation_code;
	/*design comment contrast_media_quantity 
:/%Description%/Milliliters of contrast media administered to patient.
*/
	int contrast_media_quantity;
	int diagnostic_type_code;
	int disposition_code;
	/*design comment films_used_quantity 
:/%Description%/Number of films used in procedure.
*/
	int films_used_quantity;
	/*design comment fluoroscopy_minutes_quantity 
:/%Description%/Number of minutes patient exposed to fluoroscopy.
*/
	int fluoroscopy_minutes_quantity;
	/*design comment identifier 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/OM1, OBX, OM1
/%HL7El%/00590, 00583, 00587
*/
	int identifier;
	/*design comment mammagraphy_indicator 
:/%Description%/Indicates whether or not the exam performed was a mammographic procedure.
*/
	int mammagraphy_indicator;
	int material_code;
	/*design comment palpable_mass_indicator 
:/%Description%/Indicates whether the patient has a palpable (lacatable by touch) mass.
*/
	int palpable_mass_indicator;
	/*design comment repeat_films_quantity 
:/%Description%/Number of repeat films done.
*/
	int repeat_films_quantity;
	int result_code;
	/*design comment result_text 
:/%Description%/Text indicating the radiologist findings.
*/
	int result_text;
	int screen_type_code;
	int sequence_code;
	/*design comment technologist_comment_text 
:/%Description%/Text of technologist;s comments about the procedure.
*/
	int technologist_comment_text;
	int tissue_irradiation_method_code;
	int view_code;
	};

#endif
