
#ifndef CLASS075_HPP
#define CLASS075_HPP
#include "Class100.hpp"
class Person: public Stakeholder
	{
	/*design in subject "Stakeholders" */
	/*design assoc Alternate_person_name with Alternate_person_name <"has (0,M)", "is_for (1,1)">
*/
	/*design assoc Healthcare_practitioner with Healthcare_practitioner <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
*/
	/*design assoc Person_employment with Person_employment <"is_employee_in (0,M)", "has_as_employee (1,1)">
*/

	/*design comment 
:/%Description%/A type of stakeholder.  An individual human being.
*/
public:
private:
	int affiliated_church_identifier;
	/*design comment ambulatory_status_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PV1, NK1, GT1, IN2
/%HL7El%/00145, 00145, 00145, 00145
/%HL7Table%/0009, 0009, 0009, 0009
*/
	int ambulatory_status_code;
	/*design comment birth_datetime 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, PID, STF, PID, NK1, IN1
/%HL7El%/00412, 00110, 00110, 00110, 00110, 00443
*/
	int birth_datetime;
	/*design comment birthplace_name 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PID, PID
/%HL7El%/00126, 00126
*/
	int birthplace_name;
	/*design comment citizenship_country_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, IN2, NK1, PID
/%HL7El%/00129, 00129, 00129, 00129
/%HL7Table%/0171, 0171, 0171, 0171
*/
	int citizenship_country_code;
	int classification_code;
	/*design comment deceased_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1
/%HL7El%/00776
/%HL7Table%/0136
*/
	int deceased_indicator;
	/*design comment drivers_license_identfier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PID
/%HL7El%/00123
*/
	int drivers_license_identfier;
	int education_amount;
	/*design comment ethnic_group_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/IN2, NK1, PID, GT1
/%HL7El%/00125, 00125, 00125, 00125
/%HL7Table%/0189, 0189, 0189, 0189
*/
	int ethnic_group_code;
	/*design comment expired_date 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1
/%HL7El%/00775
*/
	int expired_date;
	/*design comment gender_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/NK1, STF, IN1, GT1, PID, PID
/%HL7El%/00111, 00111, 00468, 00413, 00111, 00111
/%HL7Table%/0001, 0001, 0001, 0001, 0001
*/
	int gender_code;
	/*design comment handicap_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, NK1, PD1
/%HL7El%/00753, 00753, 00753
*/
	int handicap_indicator;
	/*design comment living_arrangement_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PD1, GT1, IN2, NK1
/%HL7El%/00742, 00742, 00742, 00742
*/
	int living_arrangement_code;
	/*design comment marital_status_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PID, NK1, IN2, PID, STF, GT1
/%HL7El%/00119, 00119, 00119, 00119, 00119, 00781
/%HL7Table%/0002, 0002, 0002, 0002, 0002
*/
	int marital_status_code;
	int marital_status_date;
	int marriage_date;
	/*design comment mothers_maiden_person_name 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PID, NK1, PID, GT1, IN2
/%HL7El%/00109, 00746, 00109, 00746, 00746
*/
	int mothers_maiden_person_name;
	/*design comment nationality_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, IN2, NK1, PID
/%HL7El%/00739, 00739, 00739, 00739
/%HL7Table%/0212, 0212, 0212, 0212
*/
	int nationality_code;
	int organ_donor_indicator;
	/*design comment person_name 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/IN2, STF, PID, NK1, IN2, IN2, IN1, GT1, GT1, GT1, GT1, PID, NK1, IN1
/%HL7El%/00792, 00673, 00108, 00191, 00789, 00474, 00431, 00748, 00420, 00408, 00407, 00108, 00748, 00441
*/
	int person_name;
	/*design comment primary_language_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, PID, IN2, PID, NK1
/%HL7El%/00118, 00118, 00118, 00118, 00118
*/
	int primary_language_code;
	/*design comment protection_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/GT1, IN2, NK1, PV2
/%HL7El%/00744, 00744, 00744, 00723
/%HL7Table%/0136, 0136, 0136
*/
	int protection_indicator;
	/*design comment publicity_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/IN2, NK1, GT1, PV2
/%HL7El%/00743, 00743, 00743, 00722
/%HL7Table%/0215, 0215, 0215, 0215
*/
	int publicity_code;
	/*design comment race_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PID, IN2, NK1, PID
/%HL7El%/00113, 00113, 00113, 00113
/%HL7Table%/0005, 0005, 0005, 0005
*/
	int race_code;
	/*design comment religion_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/NK1, PID, IN2, GT1, PID
/%HL7El%/00120, 00120, 00120, 00120, 00120
/%HL7Table%/0006, 0006, 0006, 0006, 0006
*/
	int religion_code;
	/*design comment social_security_identfier 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/IN2, NK1, PID, GT1
/%HL7El%/00473, 00754, 00122, 00416
*/
	int social_security_identfier;
	/*design comment spoken_language_code 
:/%Description%/
/%HL7Reference%/V2.2
/%HL7Seg%/PID
/%HL7El%/00118
*/
	int spoken_language_code;
	int status_code;
	/*design comment student_indicator 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/IN2, NK1, GT1, PD1
/%HL7El%/00745, 00745, 00745, 00745
/%HL7Table%/0221, 0221, 0221, 0221
*/
	int student_indicator;
	/*design comment veteran_military_status_code 
:/%Description%/
/%HL7Reference%/V2.3
/%HL7Seg%/PID
/%HL7El%/00130
/%HL7Table%/0172
*/
	int veteran_military_status_code;
	};

#endif
